SDL_GetJoystickGUIDInfo(3)

NAME
SDL_GetJoystickGUIDInfo - Get the device information encoded in a SDL_GUID structure.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

void SDL_GetJoystickGUIDInfo(SDL_GUID guid, Uint16 *vendor, Uint16 *product, Uint16 *version, Uint16 *crc16);

FUNCTION PARAMETERS

guid
    the SDL_GUID you wish to get info about.

vendor
    a pointer filled in with the device VID, or 0 if not available.

product
    a pointer filled in with the device PID, or 0 if not available.

version
    a pointer filled in with the device version, or 0 if not available.

crc16
    a pointer filled in with a CRC used to distinguish different products with the same VID/PID, or 0 if not available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickGUIDForID(3)